<?php
namespace Teknisa\DF\Factories;

use Doctrine\ORM\EntityManager;

class Grs18000ParametroExportacaoNfSapFactory {

    protected $connection;

    public function __construct(EntityManager $entityManager) {
        $this->connection = $entityManager->getConnection();
    }

    public function changeParameter($params) {
        $sql = "UPDATE PARAMFILIAL SET IDAVISOCREDSAP = :IDAVISOCREDSAP WHERE CDFILIAL = :CDFILIAL AND NRORG = :NRORG";

        $std = $this->connection->prepare($sql);
        $std->execute($params);
    }

    public function getParameter($params) {
        $sql = "SELECT IDAVISOCREDSAP FROM PARAMFILIAL WHERE CDFILIAL = :CDFILIAL AND NRORG = :NRORG";

        $std = $this->connection->prepare($sql);
        $std->execute($params);

        return $std->fetch();
    }
}
